### Signal

# Gdk Seat::device-removed

#### Declaration

    void
    device_removed (
      GdkSeat self,
      GdkDevice* device,
      gpointer user_data
    )

#### Description [src]

Emitted when an input device is removed (e.g. unplugged).

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`device` | `GdkDevice`
| The just removed `GdkDevice`.
| The data is owned by the caller of the function.